Package org.kapott.hbci.datatypes

# Class SyntaxDE

java.lang.Object
org.kapott.hbci.datatypes.SyntaxDE

Direct Known Subclasses:
  `SyntaxAN`, `SyntaxBin`, `SyntaxCtr`, `SyntaxCur`, `SyntaxDate`, `SyntaxDig`, `SyntaxFloat`, `SyntaxNum`, `SyntaxTime`

public abstract class SyntaxDE extends Object

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`SyntaxDE()`
``
`SyntaxDE(String x, int minsize, int maxsize)`

## Method Summary

Modifier and Type
Method
Description
`void`
`destroy()`
`static int`
`findNextDelim(StringBuffer res, int startidx)`
`protected String`
`getContent()`
`protected void`
`init()`
`void`
`init(StringBuffer x, int minsize, int maxsize)`
`void`
`init(String x, int minsize, int maxsize)`
`protected final void`
`setContent(String st, int minsize, int maxsize)`
`protected static int`
`skipPreDelim(StringBuffer res)`
`String`
`toString()`
`String`
`toString(int zero)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### SyntaxDE

public SyntaxDE(String x, int minsize, int maxsize)

Parameters:
  `x` - The string representation of the init value.
  `minsize` - The minimum size (string length) of the init value.
  `maxsize` - The maximum size (string length) of the init value. If this is zero, no checking for @p maxsize will be done.

### SyntaxDE

protected SyntaxDE()

## Method Details

### init

public void init(String x, int minsize, int maxsize)

### init

public void init(StringBuffer x, int minsize, int maxsize)

### init

protected void init()

### setContent

protected final void setContent(String st, int minsize, int maxsize)

Parameters:
  `st` - The string representation of the init value.
  `minsize` - The minimum size (string length) of the init value.
  `maxsize` - The maximum size (string length) of the init value. If this is zero, no checking for @p maxsize will be done.
Throws:
  `IllegalArgumentException` - when the length of @p x is not in the range

### toString

public String toString(int zero)

Parameters:
  `zero` - Just a dummy argument to overload the toString method.
Returns:
  A String containing the HBCI representation of this data element

### getContent

protected String getContent()

Returns:
  den aktuellen Inhalt des SyntaxDE in der intern gespeicherten Form (human-readable)

### skipPreDelim

protected static int skipPreDelim(StringBuffer res)

Parameters:
  `res` - A part of an HBCI message to be parsed.
Returns:
  Index into @p res where next token starts.

### findNextDelim

public static int findNextDelim(StringBuffer res, int startidx)

Parameters:
  `res` - Part of an HBCI-message to be parsed.
  `startidx` - Index position where to start looking for the next delimiter.
Returns:
  The position of the next delimiter character in @p res. If there is no next delimiter character, the return value will be the next character after the end of the String @p res (i.e. will equal @c res.length())

### toString

public String toString()

Overrides:
  `toString` in class `Object`
Returns:
  Die human-reable Repraesentation dieses Elementes

### destroy

public void destroy()